package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb/controller/report"
	"hongze/hongze_yb/middleware"
)

func InitReport(r *gin.Engine) {
	rGroup := r.Group("api/report").Use(middleware.Token())
	rGroup.GET("/detail", report.Detail)
	rGroup.GET("/chapter/detail", report.ChapterDetail)
	rGroup.GET("/chapter/ticker", report.TickerData)
	rGroup.GET("/list", report.List)
	rGroup.GET("/collect", report.CollectReportList)
	rGroup.GET("/search", report.Search)
	rGroup.POST("/detail/rddp_share_img", report.RddpShareImg)
	rGroup.GET("/ppt_img", report.ReportPptImgList)
	rGroup.GET("/variety/list", report.VarietyReportList)
	rGroup.POST("/report_chapter/set", report.ReportChapterSet)
	rGroup.GET("/pdf/detail", report.PdfDetail)

	rGroup2 := r.Group("api/classify").Use(middleware.Token())
	rGroup2.GET("/ficc", report.ClassifyFirstList)
	rGroup2.GET("/list", report.ClassifyList)
	rGroup2.GET("/simple/list", report.ClassifySimpleList)
	rGroup2.GET("/detail", report.ClassifyDetail)
	rGroup2.GET("/detail/reports", report.ClassifyDetailReports)
	rGroup2.GET("/menu/list", report.ClassifyMenuList)
}
